# MeasureUnit Class Reference

A unit such as length, mass, volume, currency, etc. More...

`#include <measunit.h>`

Inheritance diagram for MeasureUnit:

## Public Member Functions
virtual UObject * | clone () const =0
| Return a polymorphic clone of this object.
virtual | ~MeasureUnit ()
| Destructor.
virtual UBool | operator== (const UObject &other) const =0
| Equality operator.
## Protected Member Functions
| MeasureUnit ()
| Default constructor.

## Detailed Description

A unit such as length, mass, volume, currency, etc.

A unit is coupled with a numeric amount to produce a Measure.

This is an abstract class.

Author:
  Alan Liu

Stable:
  ICU 3.0

Definition at line 36 of file measunit.h.

## Constructor & Destructor Documentation

virtual MeasureUnit::~MeasureUnit | ( |  | ) | `[virtual]`

Destructor.

Stable:
  ICU 3.0

MeasureUnit::MeasureUnit | ( |  | ) | `[protected]`

Default constructor.

Stable:
  ICU 3.0

## Member Function Documentation

virtual UObject* MeasureUnit::clone | ( |  | ) | const`[pure virtual]`

Return a polymorphic clone of this object.

The result will have the same class as returned by getDynamicClassID().

Stable:
  ICU 3.0

Implemented in CurrencyUnit, and TimeUnit.

virtual UBool MeasureUnit::operator== | ( | const UObject & | other | ) | const`[pure virtual]`

Equality operator.

Return true if this object is equal to the given object.

Stable:
  ICU 3.0

Implemented in CurrencyUnit, and TimeUnit.

The documentation for this class was generated from the following file:

- measunit.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines